import request from '@/utils/request'

// 查询规则列表
export function getRulesList(query) {
  return request({
    url: '/system/rule/list',
    method: 'get',
    params: query
  })
}

// 修改规则
export function updateRule(data) {
  return request({
    url: '/system/rule/edit',
    method: 'put',
    data: data
  })
}

//新增规则
export function addRule(data) {
  return request({
    url: '/system/rule/add',
    method: 'post',
    data: data
  })
}

//更新列表
export function updateRules(data) {
  return request({
    url: '/system/rule/update',
    method: 'post',
    data: data
  })
}

export function getParam() {
  return request({
    url: '/system/rule/getParam',
    method: 'put'
  })
}


//地址来源
export function getAddressSource() {
  return request({
    url: '/system/rule/getAddressSource',
    method: 'get'
  })
}